# myapp/wagtail_hooks.py
from wagtail import hooks
from wagtail.admin.viewsets.pages import PageListingViewSet

from .models import ProductPage,CategoryPage,Enquiry
from wagtail.snippets.views.snippets import SnippetViewSet
from wagtail.admin.ui.tables import Column
from wagtail.snippets.models import register_snippet

@register_snippet
class EnquiryViewSet(SnippetViewSet):
    model = Enquiry
    icon = "message"
    list_display = ["enqName", "enqContact", "enqCreatedOn"]
    list_per_page = 50
    copy_view_enabled = False
    inspect_view_enabled = True


class ProductPageListingViewSet(PageListingViewSet):
    icon = "globe"
    menu_label = "Product Pages"
    add_to_admin_menu = True
    model = ProductPage
    columns = PageListingViewSet.columns + [
        Column("title", label="Title", sort_key="title"),
        Column("order", label="S.R#", sort_key="order"),
    ]


blog_page_listing_viewset = ProductPageListingViewSet("blog_pages")
@hooks.register("register_admin_viewset")
def register_blog_page_listing_viewset():
    return blog_page_listing_viewset